Bug 726454 - [ipa webui] After setting an OTP the Web UI does not indicate one was set
Summary: [ipa webui] After setting an OTP the Web UI does not indicate one was set
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-28 16:47 UTC by Jenny Severance
Modified: 2015-01-04 23:50 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.1-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: There is no indicator in a host entry that a one-time password is set. Consequence: It is not possible to view a host entry and know that it has a one-time password set. Fix: Add a new output attribute for host entries, has_password, that is set when the host has a password set. Result: If has_password is True then a password has been set on the host. There is no way to see what that password is once it has been set.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:25:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Jenny Severance 2011-07-28 16:47:54 UTC
Description of problem:
It confused me a bit that the UI did not change to indicate that an OTP existed. 
It is on purpose that you can not retrieve and existing OTP.  But it would be nice if maybe the UI at least indicated that one was set by maybe, changing the button to say "Set New OTP" or something.

Version-Release number of selected component (if applicable):
ipa-server-2.0.99-5.20110728T0521zgit1b09ca5.el6.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 Dmitri Pal 2011-07-28 18:34:27 UTC
https://fedorahosted.org/freeipa/ticket/1538

Comment 3 Martin Kosek 2011-08-24 12:25:46 UTC
Fixed upstream:
master: 109b79a7acf871b28e5b4cce2fd3b119f0fdd249
ipa-2-1: be7de56e5d403fb97bcb583f6b7b5dd7e3fb914c

Comment 4 Rob Crittenden 2011-08-24 20:29:55 UTC
The WebUI needs to be updated to use this new attribute.

https://fedorahosted.org/freeipa/ticket/1710

Comment 5 Martin Kosek 2011-08-31 06:52:59 UTC
The WebUI has been updated too upstream (ticket 1710):

master:
79f5c5b2aefeb7f886a6e0f8a88d8fa8661188f7
9dd689ff9d4e167f00802b39bea390b763a5a7e9

ipa-2-1:
5c84e8f5facc7cc2126fa56cdc5a6be5c2a77c2c
fc898bc607b065c38d177cfb5db771b7549a7f3f

Comment 7 Rob Crittenden 2011-10-31 21:27:35 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: There is no indicator in a host entry that a one-time password is set.
Consequence: It is not possible to view a host entry and know that it has a one-time password set.
Fix: Add a new output attribute for host entries, has_password, that is set when the host has a password set.
Result: If has_password is True then a password has been set on the host. There is no way to see what that password is once it has been set.

Comment 8 Namita Soman 2011-11-05 20:10:59 UTC
Verified using ipa-server-2.1.3-8.el6.x86_64

It is initially:
One-Time-Password Not Present One-Time-Password Present

And when an OTP is set, changes to
One-Time-Password Present

Comment 9 errata-xmlrpc 2011-12-06 18:25:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.